package de.moritzruth.lampenfieber

import de.moritzruth.lampenfieber.act.firstAct
import de.moritzruth.lampenfieber.act.fourthAct
import de.moritzruth.lampenfieber.act.secondAct
import de.moritzruth.lampenfieber.act.thirdAct
import de.moritzruth.lampenfieber.device.devices
import de.moritzruth.theaterdsl.dmx.EnttecOpenDmxUsb
import de.moritzruth.theaterdsl.show.createShow
import de.moritzruth.theaterdsl.show.runShow

val show = createShow {
    firstAct()
    secondAct()
    thirdAct()
    // Pause
    fourthAct()
}

suspend fun main() {
    EnttecOpenDmxUsb.start()
    runShow(show, devices)
}