package de.moritzruth.theaterdsl.show

import kotlinx.serialization.Serializable

@Serializable
data class Act(val name: String, val scenes: List<Scene>)

operator fun List<Act>.get(position: ShowPosition) =
    if (position == ShowPosition.START) Step.START
    else this[position.act].scenes[position.scene].steps[position.step]